org.eclipse.aether.repository

## Class LocalMetadataResult

- java.lang.Object
- - org.eclipse.aether.repository.LocalMetadataResult

-     public final class LocalMetadataResult
      extends Object

  A result from the local repository about the existence of metadata.
  See Also:
    `LocalRepositoryManager.find(RepositorySystemSession, LocalMetadataRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalMetadataResult(LocalMetadataRequest request)` Creates a new result for the specified request.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getFile()` Gets the file to the requested metadata if the metadata is available in the local repository.
    `LocalMetadataRequest` | `getRequest()` Gets the request corresponding to this result.
    `boolean` | `isStale()` This value indicates whether the metadata is stale and should be updated.
    `LocalMetadataResult` | `setFile(File file)` Sets the file to requested metadata.
    `LocalMetadataResult` | `setStale(boolean stale)` Sets whether the metadata is stale.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalMetadataResult

          public LocalMetadataResult(LocalMetadataRequest request)

      Creates a new result for the specified request.
      Parameters:
        `request` - The local metadata request, must not be `null`.

  - ### Method Detail

    - #### getRequest

          public LocalMetadataRequest getRequest()

      Gets the request corresponding to this result.
      Returns:
        The corresponding request, never `null`.

    - #### getFile

          public File getFile()

      Gets the file to the requested metadata if the metadata is available in the local repository.
      Returns:
        The file to the requested metadata or `null`.

    - #### setFile

          public LocalMetadataResult setFile(File file)

      Sets the file to requested metadata.
      Parameters:
        `file` - The metadata file, may be `null`.
      Returns:
        This result for chaining, never `null`.

    - #### isStale

          public boolean isStale()

      This value indicates whether the metadata is stale and should be updated.
      Returns:
        `true` if the metadata is stale and should be updated, `false` otherwise.

    - #### setStale

          public LocalMetadataResult setStale(boolean stale)

      Sets whether the metadata is stale.
      Parameters:
        `stale` - `true` if the metadata is stale and should be updated, `false` otherwise.
      Returns:
        This result for chaining, never `null`.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.